#pragma once
#include <libmp/all.h>
#include <stdbool.h>

#define LONGSTR_MAX 30

void  set_env(char **envp);
bool  eq(char *s1, char *s2);
int   join(char *res, const char *base, const char *pth);
char *join_alloc(char *p1, char *p2);
bool  startswith(char *str, char *sub);
void  size_to_human(char *buf, long size);
char *exists_in_path(char *file);
void  editor_open(char *file);
bool  can_run_install(lm_ctx_t *ctx);
bool  endswith(char *str, char *suf);
